Package org.apache.solr.common.util

# Class PathTrie.Node

java.lang.Object
org.apache.solr.common.util.PathTrie.Node

Enclosing class:
  `PathTrie<T>`

public class PathTrie.Node extends Object

## Method Summary

Modifier and Type
Method
Description
`T`
`getObject()`
`T`
`lookup(List<String> pieces, int i, Map<String,String> templateValues)`
`T`
`lookup(List<String> pathSegments, int index, Map<String,String> templateVariables, Set<String> availableSubPaths)`
`void`
`setObject(T o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getObject

public T getObject()

### setObject

public void setObject(T o)

### lookup

public T lookup(List<String> pieces, int i, Map<String,String> templateValues)

### lookup

public T lookup(List<String> pathSegments, int index, Map<String,String> templateVariables, Set<String> availableSubPaths)

Parameters:
  `pathSegments` - pieces in the url /a/b/c has pieces as 'a' , 'b' , 'c'
  `index` - current index of the pieces that we are looking at in /a/b/c 0='a' and 1='b'
  `templateVariables` - The mapping of template variable to its value
  `availableSubPaths` - If not null , available sub paths will be returned in this set